当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译glibc-2.2.3失败?
帖子发表于 : 2009-10-27 22:22 

注册: 2008-09-23 21:13
帖子: 247
送出感谢: 0 次
接收感谢: 0 次
老是make有问题,一会version-info.h的 “ 跑到下一行,一会又
In file included from ../linuxthreads/sysdeps/pthread/pthread.h:655,
from ../include/pthread.h:1,
from ../linuxthreads/sysdeps/pthread/bits/libc-lock.h:23,
from gconv_db.c:26:
../linuxthreads/sysdeps/unix/sysv/linux/bits/sigthread.h:36: error: storage class specified for parameter `type name'
gconv_charset.h:51: warning: `upstr' defined but not used
make[2]: *** [/home/maxwu/em-arm-linux/build-tools/build-glibc/iconv/gconv_db.o] 错误 1
make[2]:正在离开目录 `/home/maxwu/em-arm-linux/build-tools/glibc-2.2.3/iconv'
make[1]: *** [iconv/subdir_lib] 错误 2
make[1]:正在离开目录 `/home/maxwu/em-arm-linux/build-tools/glibc-2.2.3'
make: *** [all] 错误 2

什么原因呢?会不会是make的版本太高了,而glibc的版本太低?我的make是 3.81的。


_________________
念几句佛经就以为自己在悟道,引用几句圣经就以为自己是上帝的使者。
躲在阴暗的角落就以为看不见你那肮脏的灵魂?
游走在灰色领域就以为安然无恙?
举头三尺有神明,不是不报是时候未到。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译glibc-2.2.3失败?
帖子发表于 : 2010-01-21 23:59 

注册: 2007-07-11 16:01
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
同问!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译